@import url("https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;1,300;1,400&display=swap");
button {
  height: 50px;
  background-image: linear-gradient(to right, #31d35c, #2bb7da);
  width: 45%;
  outline: none;
  border: none;
  border-radius: 25px;
  color: white;
  font-size: 1.2rem;
  cursor: pointer; }

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box; }

body {
  font-size: 18px;
  font-family: 'Public Sans', sans-serif;
  position: relative; }

a {
  text-decoration: none;
  color: #2d314d;
  font-size: 1.4rem; }

.heading {
  color: #2d314d; }

.subheading {
  color: #9698a6; }

@media (min-width: 375px) {
  header {
    padding: 0px 25px;
    height: 60px; }
    header button {
      display: none; }
    header .navlinks {
      display: none; }
      header .navlinks.open {
        height: 250px;
        width: 80%;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        position: absolute;
        background: white;
        align-items: center;
        top: 100px; }
    header .ham, header .close {
      cursor: pointer; }
    header .close {
      display: none; }
    header nav {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 100%; }
  .intro {
    height: 100vh;
    overflow: hidden; }
    .intro .img {
      background-image: url("../images/bg-intro-mobile.svg");
      height: 50%;
      width: 100%;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      position: relative;
      z-index: -2; }
    .intro .img::after {
      content: '';
      position: absolute;
      background-image: url("../images/image-mockups.png");
      height: 100%;
      width: 100%;
      background-size: contain;
      background-repeat: no-repeat;
      z-index: -1;
      top: -100px;
      left: 20%;
      transform: scale(1.15); }
    .intro .text {
      text-align: center;
      padding: 0px 25px; }
      .intro .text .heading {
        font-size: 3rem; }
      .intro .text .subheading {
        padding: 20px; }
  .easybank {
    background: whitesmoke;
    padding: 0px 25px; }
    .easybank .top {
      text-align: center;
      padding: 50px 0px; }
      .easybank .top .heading {
        padding: 0px 50px;
        font-size: 2rem; }
      .easybank .top .subheading {
        padding: 20px 0px;
        line-height: 1.5em; }
    .easybank .bottom {
      text-align: center; }
      .easybank .bottom > div {
        height: 300px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        padding-bottom: 5vh; }
        .easybank .bottom > div img {
          width: 25%;
          margin: 0 auto; }
        .easybank .bottom > div .heading {
          font-size: 1.75rem; }
  .latestarticles {
    padding: 0px 25px;
    background: #fafafa;
    text-align: center;
    padding-bottom: 100px; }
    .latestarticles .heading {
      padding: 100px 0px 30px 0px;
      font-size: 2rem; }
    .latestarticles .article {
      background: white;
      margin-bottom: 5vh; }
      .latestarticles .article img {
        width: 100%;
        height: 250px; }
      .latestarticles .article .details {
        text-align: left;
        padding: 20px; }
        .latestarticles .article .details .by, .latestarticles .article .details p {
          color: #9698a6; }
        .latestarticles .article .details .title {
          color: #2d314d;
          font-size: 1.4rem;
          padding: 10px 0px; }
        .latestarticles .article .details .by {
          font-size: 0.8rem; }
        .latestarticles .article .details p {
          font-size: 1rem; }
  footer {
    background: #2d314d;
    height: 70vh;
    text-align: center;
    padding: 50px 0px;
    color: white; }
    footer div {
      margin: 10px; }
      footer div a {
        color: white;
        margin: 10px;
        font-size: 1.2rem; }
      footer div i {
        margin: 10px; }
    footer .a {
      display: flex;
      flex-direction: column; }
    footer button {
      margin: 10px; }
    footer .copy {
      color: #9698a6; } }

@media (min-width: 1440px) {
  header {
    z-index: 5;
    padding: 0px 200px;
    height: 10vh; }
    header button {
      display: block; }
    header .navlinks {
      width: 50%;
      height: 100%;
      display: flex;
      flex-direction: row;
      justify-content: space-evenly;
      align-items: center; }
      header .navlinks a {
        line-height: 80px;
        height: 10vh;
        font-size: 1rem;
        color: #9698a6;
        position: relative; }
      header .navlinks a:after {
        display: block;
        content: '';
        height: 4px;
        background: #019fb6;
        transform: scaleX(0.0001);
        transition: transform 250ms ease-in-out;
        box-shadow: inset -40px 0px 30px -25px #31d35c, inset 40px 0px 30px -25px #2bb7da; }
      header .navlinks a:hover:after {
        transform: scaleX(1);
        margin-top: -5px; }
    header .ham, header .close {
      display: none; }
    header nav {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: 100%; }
    header button {
      width: 15%;
      height: 40px;
      cursor: capture; }
  .intro {
    height: 90vh;
    overflow: hidden;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center; }
    .intro .img {
      background-image: url("../images/bg-intro-desktop.svg");
      height: 100%;
      width: 100%;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      position: relative;
      z-index: -2; }
    .intro .img::after {
      content: '';
      position: absolute;
      background-image: url("../images/image-mockups.png");
      max-height: 100%;
      width: 100%;
      background-size: contain;
      background-repeat: no-repeat;
      z-index: 1;
      top: 0px;
      left: 25%;
      transform: scale(1.2); }
    .intro .text {
      height: 100%;
      width: 70%;
      text-align: left;
      padding: 0px;
      padding-left: 200px;
      padding-top: 20vh; }
      .intro .text .heading {
        font-size: 3.3rem; }
      .intro .text .subheading {
        padding: 20px 0px; }
  .easybank {
    background: whitesmoke;
    padding: 0px 200px; }
    .easybank .top {
      text-align: left;
      padding: 100px 0px 0px 0px;
      width: 50%; }
      .easybank .top .heading {
        padding: 0px;
        font-size: 2.3rem; }
      .easybank .top .subheading {
        padding: 20px 0px;
        line-height: 1.5em; }
    .easybank .bottom {
      text-align: left;
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-gap: 2vw;
      padding-bottom: 100px; }
      .easybank .bottom > div {
        height: 300px;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        padding-bottom: 5vh;
        text-align: justify; }
        .easybank .bottom > div img {
          width: 25%;
          margin: 0px; }
        .easybank .bottom > div .heading {
          font-size: 1.75rem; }
  .latestarticles {
    padding: 0px 200px;
    background: #fafafa;
    text-align: left;
    padding-top: 100px;
    padding-bottom: 100px; }
    .latestarticles .heading {
      padding: 0px 0px 30px 0px;
      font-size: 2.3rem; }
    .latestarticles .articles {
      width: 100%;
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-gap: 20px; }
    .latestarticles .article {
      background: white;
      margin-bottom: 0px; }
      .latestarticles .article img {
        width: 100%;
        height: 200px; }
      .latestarticles .article .details {
        text-align: left;
        padding: 20px; }
        .latestarticles .article .details .by, .latestarticles .article .details p {
          color: #9698a6; }
        .latestarticles .article .details .title {
          color: #2d314d;
          font-size: 1.2rem;
          padding: 10px 0px; }
        .latestarticles .article .details .by {
          font-size: 0.8rem; }
        .latestarticles .article .details p {
          font-size: 1rem; }
  footer {
    background: #2d314d;
    height: 30vh;
    text-align: center;
    padding: 0px;
    padding: 0px 200px;
    color: white;
    width: 100%;
    display: grid;
    grid-template-columns: 60% 40%;
    align-items: center; }
    footer > div:nth-child(1) {
      display: grid;
      grid-template-columns: repeat(3, 1fr); }
      footer > div:nth-child(1) > div {
        padding: 40px 0px;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-around; }
    footer > div:nth-child(2) {
      text-align: right; }
    footer div {
      margin: 10px; }
      footer div a {
        color: white;
        margin: 10px;
        font-size: 1rem; }
      footer div i {
        margin: 5px;
        font-size: 1.3rem; }
    footer .a {
      display: flex;
      flex-direction: column; }
    footer button {
      margin: 0px; }
    footer .copy {
      color: #9698a6; } }
